# How To Setup and Use Prisma in Deno

In this comprehensive guide, you will learn how to use Prisma ORM in a Deno project. To demonstrate how Prisma can be used in a Deno project, we will create a Todo CRUD RESTful API that runs on an Oak middleware framework.

![How To Setup and Use Prisma in Deno](https://codevoweb.com/wp-content/uploads/2022/10/How-To-Setup-and-Use-Prisma-in-Deno.webp)

## Topics Covered

- Run the Deno Project Locally
- Setup the Deno Project
- Setup Prisma in Deno
    - Initialize Prisma
    - Create a Database on MongoDB Atlas
    - Add the Project to the Prisma Data Platform
    - Generate the Prisma Client for Data Proxy
- Create the Validation Schemas
- Create the API Controllers
    - Create Record Controller
    - Update Record Controller
    - Get a Single Record Controller
    - Get All Records Controller
    - Delete Record Controller
- Create the API Routes
- Add the API Routes to the App
- Test the API Endpoints
    - Create a New Record
    - Update an Existing Record
    - Retrieve a Single Record
    - Retrieve all Records
    - Delete a Record
    

Read the entire article here: [https://codevoweb.com/how-to-setup-and-use-prisma-in-deno](https://codevoweb.com/how-to-setup-and-use-prisma-in-deno)

